<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:23 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
AbstractHttpEntity (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractHttpEntity (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractHttpEntity.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/entity/BasicHttpEntity.html" title="class in org.apache.http.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/entity/AbstractHttpEntity.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractHttpEntity.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.entity</FONT>
<BR>
Class AbstractHttpEntity</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.entity.AbstractHttpEntity</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../org/apache/http/entity/BasicHttpEntity.html" title="class in org.apache.http.entity">BasicHttpEntity</A>, <A HREF="../../../../org/apache/http/entity/ByteArrayEntity.html" title="class in org.apache.http.entity">ByteArrayEntity</A>, <A HREF="../../../../org/apache/http/entity/EntityTemplate.html" title="class in org.apache.http.entity">EntityTemplate</A>, <A HREF="../../../../org/apache/http/entity/FileEntity.html" title="class in org.apache.http.entity">FileEntity</A>, <A HREF="../../../../org/apache/http/entity/InputStreamEntity.html" title="class in org.apache.http.entity">InputStreamEntity</A>, <A HREF="../../../../org/apache/http/nio/entity/NByteArrayEntity.html" title="class in org.apache.http.nio.entity">NByteArrayEntity</A>, <A HREF="../../../../org/apache/http/nio/entity/NFileEntity.html" title="class in org.apache.http.nio.entity">NFileEntity</A>, <A HREF="../../../../org/apache/http/nio/entity/NStringEntity.html" title="class in org.apache.http.nio.entity">NStringEntity</A>, <A HREF="../../../../org/apache/http/entity/SerializableEntity.html" title="class in org.apache.http.entity">SerializableEntity</A>, <A HREF="../../../../org/apache/http/entity/StringEntity.html" title="class in org.apache.http.entity">StringEntity</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../org/apache/http/annotation/NotThreadSafe.html" title="annotation in org.apache.http.annotation">@NotThreadSafe</A>
</FONT>public abstract class <B>AbstractHttpEntity</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></DL>
</PRE>

<P>
Abstract base class for entities.
 Provides the commonly used attributes for streamed and self-contained
 implementations of <A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http"><CODE>HttpEntity</CODE></A>.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#chunked">chunked</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#contentEncoding">contentEncoding</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#contentType">contentType</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#AbstractHttpEntity()">AbstractHttpEntity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Protected default constructor.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#consumeContent()">consumeContent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1) Either use <A HREF="../../../../org/apache/http/HttpEntity.html#getContent()"><CODE>HttpEntity.getContent()</CODE></A> and call <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true#close()" title="class or interface in java.io"><CODE>InputStream.close()</CODE></A> on that;
 otherwise call <A HREF="../../../../org/apache/http/HttpEntity.html#writeTo(java.io.OutputStream)"><CODE>HttpEntity.writeTo(OutputStream)</CODE></A> which is required to free the resources.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#getContentEncoding()">getContentEncoding</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the Content-Encoding header.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#getContentType()">getContentType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the Content-Type header.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#isChunked()">isChunked</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the 'chunked' flag.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#setChunked(boolean)">setChunked</A></B>(boolean&nbsp;b)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Specifies the 'chunked' flag.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentEncoding(org.apache.http.Header)">setContentEncoding</A></B>(<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A>&nbsp;contentEncoding)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Specifies the Content-Encoding header.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentEncoding(java.lang.String)">setContentEncoding</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;ceString)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Specifies the Content-Encoding header, as a string.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentType(org.apache.http.Header)">setContentType</A></B>(<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A>&nbsp;contentType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Specifies the Content-Type header.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentType(java.lang.String)">setContentType</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;ctString)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Specifies the Content-Type header, as a string.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.HttpEntity"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/HttpEntity.html#getContent()">getContent</A>, <A HREF="../../../../org/apache/http/HttpEntity.html#getContentLength()">getContentLength</A>, <A HREF="../../../../org/apache/http/HttpEntity.html#isRepeatable()">isRepeatable</A>, <A HREF="../../../../org/apache/http/HttpEntity.html#isStreaming()">isStreaming</A>, <A HREF="../../../../org/apache/http/HttpEntity.html#writeTo(java.io.OutputStream)">writeTo</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="contentType"><!-- --></A><H3>
contentType</H3>
<PRE>
protected <A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A> <B>contentType</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="contentEncoding"><!-- --></A><H3>
contentEncoding</H3>
<PRE>
protected <A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A> <B>contentEncoding</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="chunked"><!-- --></A><H3>
chunked</H3>
<PRE>
protected boolean <B>chunked</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractHttpEntity()"><!-- --></A><H3>
AbstractHttpEntity</H3>
<PRE>
protected <B>AbstractHttpEntity</B>()</PRE>
<DL>
<DD>Protected default constructor.
 The contentType, contentEncoding and chunked attributes of the created object are set to
 <code>null</code>, <code>null</code> and <code>false</code>, respectively.
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getContentType()"><!-- --></A><H3>
getContentType</H3>
<PRE>
public <A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A> <B>getContentType</B>()</PRE>
<DL>
<DD>Obtains the Content-Type header.
 The default implementation returns the value of the
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#contentType"><CODE>contentType</CODE></A> attribute.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpEntity.html#getContentType()">getContentType</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the Content-Type header, or <code>null</code></DL>
</DD>
</DL>
<HR>

<A NAME="getContentEncoding()"><!-- --></A><H3>
getContentEncoding</H3>
<PRE>
public <A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A> <B>getContentEncoding</B>()</PRE>
<DL>
<DD>Obtains the Content-Encoding header.
 The default implementation returns the value of the
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#contentEncoding"><CODE>contentEncoding</CODE></A> attribute.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpEntity.html#getContentEncoding()">getContentEncoding</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the Content-Encoding header, or <code>null</code></DL>
</DD>
</DL>
<HR>

<A NAME="isChunked()"><!-- --></A><H3>
isChunked</H3>
<PRE>
public boolean <B>isChunked</B>()</PRE>
<DL>
<DD>Obtains the 'chunked' flag.
 The default implementation returns the value of the
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#chunked"><CODE>chunked</CODE></A> attribute.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpEntity.html#isChunked()">isChunked</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the 'chunked' flag</DL>
</DD>
</DL>
<HR>

<A NAME="setContentType(org.apache.http.Header)"><!-- --></A><H3>
setContentType</H3>
<PRE>
public void <B>setContentType</B>(<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A>&nbsp;contentType)</PRE>
<DL>
<DD>Specifies the Content-Type header.
 The default implementation sets the value of the
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#contentType"><CODE>contentType</CODE></A> attribute.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>contentType</CODE> - the new Content-Encoding header, or
                          <code>null</code> to unset</DL>
</DD>
</DL>
<HR>

<A NAME="setContentType(java.lang.String)"><!-- --></A><H3>
setContentType</H3>
<PRE>
public void <B>setContentType</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;ctString)</PRE>
<DL>
<DD>Specifies the Content-Type header, as a string.
 The default implementation calls
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentType(org.apache.http.Header)"><CODE>setContentType(Header)</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ctString</CODE> - the new Content-Type header, or
                     <code>null</code> to unset</DL>
</DD>
</DL>
<HR>

<A NAME="setContentEncoding(org.apache.http.Header)"><!-- --></A><H3>
setContentEncoding</H3>
<PRE>
public void <B>setContentEncoding</B>(<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A>&nbsp;contentEncoding)</PRE>
<DL>
<DD>Specifies the Content-Encoding header.
 The default implementation sets the value of the
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#contentEncoding"><CODE>contentEncoding</CODE></A> attribute.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>contentEncoding</CODE> - the new Content-Encoding header, or
                          <code>null</code> to unset</DL>
</DD>
</DL>
<HR>

<A NAME="setContentEncoding(java.lang.String)"><!-- --></A><H3>
setContentEncoding</H3>
<PRE>
public void <B>setContentEncoding</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;ceString)</PRE>
<DL>
<DD>Specifies the Content-Encoding header, as a string.
 The default implementation calls
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentEncoding(org.apache.http.Header)"><CODE>setContentEncoding(Header)</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ceString</CODE> - the new Content-Encoding header, or
                     <code>null</code> to unset</DL>
</DD>
</DL>
<HR>

<A NAME="setChunked(boolean)"><!-- --></A><H3>
setChunked</H3>
<PRE>
public void <B>setChunked</B>(boolean&nbsp;b)</PRE>
<DL>
<DD>Specifies the 'chunked' flag.
 <p>
 Note that the chunked setting is a hint only.
 If using HTTP/1.0, chunking is never performed.
 Otherwise, even if chunked is false, HttpClient must
 use chunk coding if the entity content length is
 unknown (-1).
 <p>
 The default implementation sets the value of the
 <A HREF="../../../../org/apache/http/entity/AbstractHttpEntity.html#chunked"><CODE>chunked</CODE></A> attribute.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>b</CODE> - the new 'chunked' flag</DL>
</DD>
</DL>
<HR>

<A NAME="consumeContent()"><!-- --></A><H3>
consumeContent</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public void <B>consumeContent</B>()
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.1) Either use <A HREF="../../../../org/apache/http/HttpEntity.html#getContent()"><CODE>HttpEntity.getContent()</CODE></A> and call <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true#close()" title="class or interface in java.io"><CODE>InputStream.close()</CODE></A> on that;
 otherwise call <A HREF="../../../../org/apache/http/HttpEntity.html#writeTo(java.io.OutputStream)"><CODE>HttpEntity.writeTo(OutputStream)</CODE></A> which is required to free the resources.</I>
<P>
<DD>The default implementation does not consume anything.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/HttpEntity.html#consumeContent()">consumeContent</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - if an I/O error occurs.<DT><B>See Also:</B><DD><A HREF="../../../../org/apache/http/HttpEntity.html#getContent()"><CODE>and #writeTo(OutputStream)</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractHttpEntity.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/entity/BasicHttpEntity.html" title="class in org.apache.http.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/entity/AbstractHttpEntity.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractHttpEntity.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
